body {

    background: url('../img/background.jpeg') center center fixed;

    background-size: auto 100vh; /* Alto igual al viewport, ancho automático */

    /*background-repeat: no-repeat; */ /* Esta línea evita la repetición */

    color: #fff;

    font-family: 'Bebas Neue', 'Oswald', Impact, Arial, sans-serif;

    margin: 0;

    padding: 0;

}



.container {

    max-width: 400px;

    margin: 40px auto;

    background: rgba(35, 43, 58, 0.92); /* Fondo semitransparente para destacar el cuadro */

    padding: 30px 25px;

    border-radius: 12px;

    box-shadow: 0 4px 24px rgba(0,0,0,0.3);

    text-align: center;

}



h1 {

    margin-top: 0;

    font-size: 2.2em;

    color: #E53935;

}

.subtitulo {

    font-size: 1.1em;

    margin-bottom: 20px;

    color: #fff;

}

#cuenta-atras .contador {

    font-size: 1.5em;

    margin: 15px 0;

    letter-spacing: 2px;

}

.registro-form input {

    width: 90%;

    padding: 10px;

    margin: 8px 0;

    border: none;

    border-radius: 6px;

    font-size: 1em;

}

.registro-form button, .boton-pago {

    background: #E53935;

    color: #fff;

    border: none;

    border-radius: 6px;

    padding: 12px 25px;

    font-size: 1.1em;

    margin-top: 10px;

    cursor: pointer;

    transition: background 0.2s;

    font-family: 'Bebas Neue', 'Oswald', Impact, Arial, sans-serif;

}

.registro-form button:hover, .boton-pago:hover {

    background: #B71C1C;

}



.codigo-form {

    margin-top: 20px;

}



.codigo-form input[type="text"] {

    width: 90%;

    padding: 12px;

    font-size: 1.1em;

    border: 2px solid #E53935;

    border-radius: 6px;

    background: rgba(255, 255, 255, 0.1);

    color: #fff;

    text-align: center;

    letter-spacing: 2px;

    outline: none;

    transition: border-color 0.2s, background 0.2s;

}



.codigo-form input[type="text"]::placeholder {

    color: #ddd;

    letter-spacing: 1px;

}



.codigo-form input[type="text"]:focus {

    border-color: #fff;

    background: rgba(255, 255, 255, 0.2);

}



.codigo-form button {

    background: #E53935;

    color: #fff;

    border: none;

    border-radius: 6px;

    padding: 12px 25px;

    font-size: 1.1em;

    margin-top: 12px;

    cursor: pointer;

    transition: background 0.2s;

    font-family: 'Bebas Neue', 'Oswald', Impact, Arial, sans-serif;

}



.codigo-form button:hover {

    background: #B71C1C;

}



#stripe-button{

    background: #E53935;

    color: #fff;

    border: none;

    border-radius: 6px;

    padding: 12px 25px;

    font-size: 1.1em;

    margin-top: 12px;

    cursor: pointer;

    transition: background 0.2s;

    font-family: 'Bebas Neue', 'Oswald', Impact, Arial, sans-serif;

}



#stripe-button:hover {

    background: #B71C1C;

}